Deposits

Get deposit preview

Use this method to calculate deposit preview

POST
/api/v2/my/deposits/preview

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/deposits/preview" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "methodId": 1,    "accountId": 1,    "currencyCode": 2005,    "amount": "100"  }'
{  "rate": "1.20",  "commission": "10.00",  "sourceCurrencyAlphaCode": "USD",  "sourceCurrencyAmount": "100.00",  "destinationCurrencyAlphaCode": "USD",  "destinationCurrencyAmount": "100.00"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Unprocessable Entity"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Internal Server Error"  }}